
#ifndef Stack_h
#define Stack_h

#include "string.h"
#include <stdio.h>
#define MAX_STACK_SIZE 200
class Stack {
  int count;
  int size;
  char **array;
  int  *fanout;
  int  *nodesize;
public:
  Stack(int = MAX_STACK_SIZE);
  Stack(const Stack &);
  ~Stack();
  bool push(const char*);
  bool pop(char* &, int &, int &);
  void addTokenCount(int token_count);
  char* concat(char);
  void empty();
  int length() { return count; }
};

#endif
