#ifndef COMMON_H
#define COMMON_H

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <fstream.h>
#include <strings.h>
#include <iostream.h>
#include <string.h>
#include "url_docid_record.h" /* URL_SIZE */

#define MAX_KEYLEN 292
#define MAX_BUCKETS 211
#define RECORD_SIZE  ((2 * sizeof(int)) + MAX_KEYLEN)
#define NUM_RECORDS 5000
#define BUCKET_SIZE (((RECORD_SIZE) * (NUM_RECORDS)) + 2*sizeof(int))
#define LIST_END (-1)
#define TXT_SIZE 0
#define MAX_QUERY_TERMS 20

#endif
