#include "key_offset_record.h"

key_offset_record::key_offset_record(String key_, Int data_) { 
  _key = key_; 
  _offset = data_; 
}

key_offset_record::key_offset_record(const  key_offset_record& other) { 
  _key = other._key; 
  _offset = other._offset;
} 

key_offset_record::~key_offset_record() { 
}

int key_offset_record::get_len(){ 
  return (String::get_max_len() + Int::get_max_len());
}

String key_offset_record::get_key() { 
  return _key; 
}

Int key_offset_record::get_data() { 
  return _offset;
}

