#include "url_docid_record.h"
#include <assert.h>

url_docid_record::url_docid_record(String url_, Int docid_) { 
  _url = url_; 
  _docid = docid_; 
}

url_docid_record::url_docid_record(const  url_docid_record& other) { 
  _url = other._url; 
  _docid = other._docid;
} 

url_docid_record::~url_docid_record() { 
}

int url_docid_record::get_len(){ 
  return (String::get_max_len() + sizeof(int));
}

String url_docid_record::get_key() { 
  return _url; 
}

Int url_docid_record::get_data() { 
  return _docid;
}

