#include "Int.h"
#include <stdlib.h>

Int::Int(int val) {
  value = val;
}

Int::Int(char *val) {
  if(val) 
    memcpy((char *)&value, val, sizeof(int));
  else
    value = 0;
}

Int::Int(const Int& other) {
  value = other.value;
}

Int::~Int() {
}

int Int::get_key() {
  return value;
}

Int& Int::operator = (const Int& other) {
  value = other.value;
  return *this;
}

Int Int::operator - (const Int& other) {
  int temp = value - other.value;
  return Int(temp);
}

Int Int::operator + (const Int& other) {
  int temp = value + other.value;
  return Int(temp);
}

bool Int::operator <(const Int& other) {
  return (value < other.value);
}

bool Int::operator >(const Int& other) {
  return (value > other.value);
}

bool Int::operator ==(const Int& other) {
  return (value == other.value);
}

bool Int::operator >=(const Int& other) {
  return (value >= other.value);
}

bool Int::operator <=(const Int& other) {
  return (value <= other.value);
}

ostream& operator <<(ostream& out, Int object) {
  out << object.value;
  return out;
}
