#include "Index5.h" // MAX_FILE_NAME_LEN
#include <stdlib.h> 
#include <sys/time.h>
#include <time.h>
#include <errno.h>
#include "Trie4.h"

ofstream GLOBAL_logFileStream;
extern int errno;

int sys_index(char *fname_, char *infile_, char *prefix_);

int main(int argc, char* argv[]) {
  char *FileName; 
  char *inpFileName;
  char *prefix;

  if(argc < 4) {
    cout << "Usage: " << argv[0] << " <file> <file_With_FilesToIndex> <prefix>" << endl;
    exit(0);
  }

  FileName = new char[strlen(argv[1]) + 1];
  strcpy(FileName, argv[1]);

  inpFileName = new char[strlen(argv[2]) + 1];
  strcpy(inpFileName, argv[2]);

  prefix = new char[strlen(argv[3]) + 1];
  strcpy(prefix, argv[3]);

  char *fname;
  fname = new char[strlen(FileName) + strlen(".index.log") + 1];
  sprintf(fname, "%s.index.log", FileName);
  GLOBAL_logFileStream.open(fname);

  if(!GLOBAL_logFileStream) {
    cout << "Unable to open file " << fname << endl;
    exit(0);
  }

  sys_index(FileName, inpFileName, prefix);

  GLOBAL_logFileStream.close();
  
  delete []fname;
  delete []FileName;
  delete []inpFileName;
  delete []prefix;
  exit(1);
}
