#ifndef MERGE_IF_H
#define MERGE_IF_H

typedef struct file_ptr_ {
  int fd;
  int offset;
} File_Ptr;

typedef struct file_desc_ptr_ {
  int fd;
  int offset;
  int ntuples;
} FileDescPtr;

typedef struct doc_word_pos_ {
  int doc_id;
  int word_pos;
} doc_word_pos_struct;

typedef struct merge_struct_ {
  int num_in_batch;
  int file_fd;
  int file_offset;
  int num_tuples_left;
  int position;
  doc_word_pos_struct* array;
} merge_struct;

#endif
